Skip to main content
GET
/
review-projects
/
{project_id}
Get review project
curl --request GET \
  --url https://api.coval.dev/v1/review-projects/{project_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coval.dev/v1/review-projects/{project_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coval.dev/v1/review-projects/{project_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "review_project": {
    "name": "review-projects/01HXYZ1234567890ABCDEF",
    "id": "01HXYZ1234567890ABCDEF",
    "display_name": "<string>",
    "assignees": [
      "<string>"
    ],
    "linked_simulation_ids": [
      "<string>"
    ],
    "linked_metric_ids": [
      "<string>"
    ],
    "project_type": "PROJECT_INDIVIDUAL",
    "notifications": true,
    "create_time": "2023-11-07T05:31:56Z",
    "update_time": "2023-11-07T05:31:56Z",
    "description": "<string>",
    "project_rules": [
      "require_disagreement_notes"
    ]
  }
}
{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": [
{
"field": "annotation_id",
"description": "Annotation not found or not accessible by your organization"
}
]
}
}
{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}

Authorizations

X-API-Key
string
header
required

Organization API key for authentication

Path Parameters

project_id
string
required

The project ID (ULID)

Response

Project retrieved successfully

review_project
object
required

A single review project resource.